<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__smartio__enums" kind="group">
    <compoundname>group_smartio_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__smartio__enums_1ga539e453be0c4fdbcba47609451495f13" kind="enum" prot="public" static="no">
        <name>cy_en_smartio_status_t</name>
        <enumvalue id="group__group__smartio__enums_1gga539e453be0c4fdbcba47609451495f13a0907a82d2dcbf093e659c02501a4c8b2" prot="public">
          <name>CY_SMARTIO_SUCCESS</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>Returned successful. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga539e453be0c4fdbcba47609451495f13aad3e7247e67326d3a2e7109b6c9ca7f8" prot="public">
          <name>CY_SMARTIO_BAD_PARAM</name>
          <initializer>= CY_SMARTIO_ID | CY_PDL_STATUS_ERROR | 0x01u</initializer>
          <briefdescription>
<para>Bad parameter was passed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga539e453be0c4fdbcba47609451495f13a3c989447e4443a55373b6315142bf428" prot="public">
          <name>CY_SMARTIO_LOCKED</name>
          <initializer>= CY_SMARTIO_ID | CY_PDL_STATUS_ERROR | 0x02u</initializer>
          <briefdescription>
<para>Smart I/O is not disabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_smartio_status_t: </bold><linebreak />Smart I/O driver error codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="296" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="291" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="292" />
      </memberdef>
      <memberdef id="group__group__smartio__enums_1ga5d4b59d4ac3bf8e4d943f499799fa202" kind="enum" prot="public" static="no">
        <name>cy_en_smartio_clksrc_t</name>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a67b4fbb0c8e62ba7c274e598a2d57b51" prot="public">
          <name>CY_SMARTIO_CLK_IO0</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Clock sourced from signal on io0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a1288c8357342d040b94be12d1ef50baa" prot="public">
          <name>CY_SMARTIO_CLK_IO1</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Clock sourced from signal on io1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a218b82f0e650a6113961cfae9b697de2" prot="public">
          <name>CY_SMARTIO_CLK_IO2</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>Clock sourced from signal on io2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a7909aca6b30c14257c2d7e99aa25e403" prot="public">
          <name>CY_SMARTIO_CLK_IO3</name>
          <initializer>= 3</initializer>
          <briefdescription>
<para>Clock sourced from signal on io3. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a2b263d900076211b8288a29cab94a0a0" prot="public">
          <name>CY_SMARTIO_CLK_IO4</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>Clock sourced from signal on io4. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202aa1ddb726f66db8b239156388d51f573a" prot="public">
          <name>CY_SMARTIO_CLK_IO5</name>
          <initializer>= 5</initializer>
          <briefdescription>
<para>Clock sourced from signal on io5. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a8274e0452658f7b6a21e0ee2d15d161b" prot="public">
          <name>CY_SMARTIO_CLK_IO6</name>
          <initializer>= 6</initializer>
          <briefdescription>
<para>Clock sourced from signal on io6. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202ab8cacb0a8762ff0bc95b7fb7ad3a698f" prot="public">
          <name>CY_SMARTIO_CLK_IO7</name>
          <initializer>= 7</initializer>
          <briefdescription>
<para>Clock sourced from signal on io7. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a515b0d352b70101bf3c6282b3db1a090" prot="public">
          <name>CY_SMARTIO_CLK_CHIP0</name>
          <initializer>= 8</initializer>
          <briefdescription>
<para>Clock sourced from signal on chip0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a70ab0cc794a03ffa21d2fd21d168eb2e" prot="public">
          <name>CY_SMARTIO_CLK_CHIP1</name>
          <initializer>= 9</initializer>
          <briefdescription>
<para>Clock sourced from signal on chip1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a6e9e573d014bb86772740a1d154d19c9" prot="public">
          <name>CY_SMARTIO_CLK_CHIP2</name>
          <initializer>= 10</initializer>
          <briefdescription>
<para>Clock sourced from signal on chip2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a18ff3ae0452da4587afba3cb4087d5e4" prot="public">
          <name>CY_SMARTIO_CLK_CHIP3</name>
          <initializer>= 11</initializer>
          <briefdescription>
<para>Clock sourced from signal on chip3. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a95775d9d586bebf1dac692fb2d6f1a4a" prot="public">
          <name>CY_SMARTIO_CLK_CHIP4</name>
          <initializer>= 12</initializer>
          <briefdescription>
<para>Clock sourced from signal on chip4. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202adccdfa17f98894bc075f847bde715751" prot="public">
          <name>CY_SMARTIO_CLK_CHIP5</name>
          <initializer>= 13</initializer>
          <briefdescription>
<para>Clock sourced from signal on chip5. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202ad5c7d758b6528bd06e685accf0fba8a9" prot="public">
          <name>CY_SMARTIO_CLK_CHIP6</name>
          <initializer>= 14</initializer>
          <briefdescription>
<para>Clock sourced from signal on chip6. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a8c2b80344f1664e5c49d905b5883e533" prot="public">
          <name>CY_SMARTIO_CLK_CHIP7</name>
          <initializer>= 15</initializer>
          <briefdescription>
<para>Clock sourced from signal on chip7. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a62b9f8aa4e1631eee6ea035e1111ecb1" prot="public">
          <name>CY_SMARTIO_CLK_DIVACT</name>
          <initializer>= 16</initializer>
          <briefdescription>
<para>Clock sourced from a peripheral clock divider (Active) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a8b9b2c11f8ed12c1d6b6e4b3ceb8c9a4" prot="public">
          <name>CY_SMARTIO_CLK_DIVDS</name>
          <initializer>= 17</initializer>
          <briefdescription>
<para>Clock sourced from a peripheral clock divider (Deep-Sleep) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202aa55c850f5e3c96b2de26e9aa35fd4ef6" prot="public">
          <name>CY_SMARTIO_CLK_DIVHIB</name>
          <initializer>= 18</initializer>
          <briefdescription>
<para>Clock sourced from a peripheral clock divider (Hibernate) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202ad8be6fea8ec85f6744d2efbcf17b8f7a" prot="public">
          <name>CY_SMARTIO_CLK_LFCLK</name>
          <initializer>= 19</initializer>
          <briefdescription>
<para>Clock sourced from LFCLK. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a27d7f080141e9d06ace6ea5e0a0dffa6" prot="public">
          <name>CY_SMARTIO_CLK_GATED</name>
          <initializer>= 20</initializer>
          <briefdescription>
<para>Disables the clock. </para>          </briefdescription>
          <detaileddescription>
<para>Used when turning off the block </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga5d4b59d4ac3bf8e4d943f499799fa202a424c51578cddf06cbe865f291e4a67e5" prot="public">
          <name>CY_SMARTIO_CLK_ASYNC</name>
          <initializer>= 31</initializer>
          <briefdescription>
<para>Asynchronous operation (only allow combinatorial logic) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_smartio_clksrc_t: </bold><linebreak />Smart I/O clock selection.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="324" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="301" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="301" />
      </memberdef>
      <memberdef id="group__group__smartio__enums_1ga93e2244ac0b5f930de93937ee83314cb" kind="enum" prot="public" static="no">
        <name>cy_en_smartio_lutnum_t</name>
        <enumvalue id="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cba51a2992b418f915c901bc1c31db89938" prot="public">
          <name>CY_SMARTIO_LUT0</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Look-Up-Table #0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cba8de9331a7e4bd3bf307aa79795fdbd1c" prot="public">
          <name>CY_SMARTIO_LUT1</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Look-Up-Table #1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cba043a5a75cbe39c3e0963bee0a39828ad" prot="public">
          <name>CY_SMARTIO_LUT2</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>Look-Up-Table #2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cbafa0d0c968876ebee620f9848b31ba7c5" prot="public">
          <name>CY_SMARTIO_LUT3</name>
          <initializer>= 3</initializer>
          <briefdescription>
<para>Look-Up-Table #3. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cbab4a604720aa5a0a76bef3c0186c1ebb6" prot="public">
          <name>CY_SMARTIO_LUT4</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>Look-Up-Table #4. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cba76f688bb3c4349b4455131b38db5ecb1" prot="public">
          <name>CY_SMARTIO_LUT5</name>
          <initializer>= 5</initializer>
          <briefdescription>
<para>Look-Up-Table #5. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cba84639ff7ecb93655086887bb93e304c8" prot="public">
          <name>CY_SMARTIO_LUT6</name>
          <initializer>= 6</initializer>
          <briefdescription>
<para>Look-Up-Table #6. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cba844bbb09c3f383cd55d43025ceca24bb" prot="public">
          <name>CY_SMARTIO_LUT7</name>
          <initializer>= 7</initializer>
          <briefdescription>
<para>Look-Up-Table #7. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_smartio_lutnum_t: </bold><linebreak />Smart I/O LUT number.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="338" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="329" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="329" />
      </memberdef>
      <memberdef id="group__group__smartio__enums_1gada9635df8a567b5f23ff07ada7f11e52" kind="enum" prot="public" static="no">
        <name>cy_en_smartio_trnum_t</name>
        <enumvalue id="group__group__smartio__enums_1ggada9635df8a567b5f23ff07ada7f11e52a0f3b1b2b5ccc8f8bd6cbff05b7f7048f" prot="public">
          <name>CY_SMARTIO_TR0</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Input trigger #0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1ggada9635df8a567b5f23ff07ada7f11e52a4e246f9090869a6662820234e0c198f8" prot="public">
          <name>CY_SMARTIO_TR1</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Input trigger #1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1ggada9635df8a567b5f23ff07ada7f11e52aff64e0f41194966998fd084e94a25694" prot="public">
          <name>CY_SMARTIO_TR2</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>Input trigger #2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_smartio_trnum_t: </bold><linebreak />Smart I/O input trigger number.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="347" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="343" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="343" />
      </memberdef>
      <memberdef id="group__group__smartio__enums_1ga96fa546d7e13456f28abee35633cf53e" kind="enum" prot="public" static="no">
        <name>cy_en_smartio_datanum_t</name>
        <enumvalue id="group__group__smartio__enums_1gga96fa546d7e13456f28abee35633cf53eafa2a6d10dbc3d7a280b541ef45a743fa" prot="public">
          <name>CY_SMARTIO_DATA0</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Input DATA #0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga96fa546d7e13456f28abee35633cf53ea210e404466f7d9f57c7311fe31cf99a3" prot="public">
          <name>CY_SMARTIO_DATA1</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Input DATA #1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_smartio_datanum_t: </bold><linebreak />Smart I/O Data Unit's input "DATA" number.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="355" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="352" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="352" />
      </memberdef>
      <memberdef id="group__group__smartio__enums_1ga057185e00625a60b6ee8f788b55f6413" kind="enum" prot="public" static="no">
        <name>cy_en_smartio_luttr_t</name>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413a44b35af9872934ec209b9447ce6326c8" prot="public">
          <name>CY_SMARTIO_LUTTR_DU_OUT</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Data Unit output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413adee4a37dfa417a5376cbcbde78482575" prot="public">
          <name>CY_SMARTIO_LUTTR_LUT0_OUT</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>LUT0 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413a9c454465f608689bd7835e885dec0e95" prot="public">
          <name>CY_SMARTIO_LUTTR_LUT1_OUT</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>LUT1 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413a559c27db7347f03edf19053e40c44c72" prot="public">
          <name>CY_SMARTIO_LUTTR_LUT2_OUT</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>LUT2 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413a0301e83bd3ec254360c18718a366bf2e" prot="public">
          <name>CY_SMARTIO_LUTTR_LUT3_OUT</name>
          <initializer>= 3</initializer>
          <briefdescription>
<para>LUT3 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413aa4b26744f29bb85d852cfc956f93b154" prot="public">
          <name>CY_SMARTIO_LUTTR_LUT4_OUT</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>LUT4 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413a565d505a20f2069604aa9683017e72d0" prot="public">
          <name>CY_SMARTIO_LUTTR_LUT5_OUT</name>
          <initializer>= 5</initializer>
          <briefdescription>
<para>LUT5 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413a003a4df1d168191613c8bfb37b0261f3" prot="public">
          <name>CY_SMARTIO_LUTTR_LUT6_OUT</name>
          <initializer>= 6</initializer>
          <briefdescription>
<para>LUT6 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413ab930f82921553f171b934df68434f5a9" prot="public">
          <name>CY_SMARTIO_LUTTR_LUT7_OUT</name>
          <initializer>= 7</initializer>
          <briefdescription>
<para>LUT7 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413a62e3fae0ebbcdd0c764d07e5c8d55376" prot="public">
          <name>CY_SMARTIO_LUTTR_CHIP0</name>
          <initializer>= 8</initializer>
          <briefdescription>
<para>Chip signal 0 (for LUT 0,1,2,3) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413a945721a5949583221f38c73418ec9232" prot="public">
          <name>CY_SMARTIO_LUTTR_CHIP4</name>
          <initializer>= 8</initializer>
          <briefdescription>
<para>Chip signal 4 (for LUT 4,5,6,7) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413a89b2ec795748ddf1764028ea179128ed" prot="public">
          <name>CY_SMARTIO_LUTTR_CHIP1</name>
          <initializer>= 9</initializer>
          <briefdescription>
<para>Chip signal 1 (for LUT 0,1,2,3) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413a3ced3575b3a40359f4254cbda4181ddb" prot="public">
          <name>CY_SMARTIO_LUTTR_CHIP5</name>
          <initializer>= 9</initializer>
          <briefdescription>
<para>Chip signal 5 (for LUT 4,5,6,7) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413af6a6cc907dbc9924b516365eee899992" prot="public">
          <name>CY_SMARTIO_LUTTR_CHIP2</name>
          <initializer>= 10</initializer>
          <briefdescription>
<para>Chip signal 2 (for LUT 0,1,2,3) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413afde4d4b0046997abf277445ceb180056" prot="public">
          <name>CY_SMARTIO_LUTTR_CHIP6</name>
          <initializer>= 10</initializer>
          <briefdescription>
<para>Chip signal 6 (for LUT 4,5,6,7) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413adfac950c614abbb3bb15d4b3207b5f0e" prot="public">
          <name>CY_SMARTIO_LUTTR_CHIP3</name>
          <initializer>= 11</initializer>
          <briefdescription>
<para>Chip signal 3 (for LUT 0,1,2,3) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413a72469ead12faebd2812237e70d6e9c38" prot="public">
          <name>CY_SMARTIO_LUTTR_CHIP7</name>
          <initializer>= 11</initializer>
          <briefdescription>
<para>Chip signal 7 (for LUT 4,5,6,7) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413ab9f1374b4b8b1770eadc89887c19e0cc" prot="public">
          <name>CY_SMARTIO_LUTTR_IO0</name>
          <initializer>= 12</initializer>
          <briefdescription>
<para>I/O signal 0 (for LUT 0,1,2,3) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413ae86eaa82f3c2db5b8278d87491e1e36f" prot="public">
          <name>CY_SMARTIO_LUTTR_IO4</name>
          <initializer>= 12</initializer>
          <briefdescription>
<para>I/O signal 4 (for LUT 4,5,6,7) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413ae739f5f57ff207b61bc7516c506197f1" prot="public">
          <name>CY_SMARTIO_LUTTR_IO1</name>
          <initializer>= 13</initializer>
          <briefdescription>
<para>I/O signal 1 (for LUT 0,1,2,3) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413a71f646d87d835ebc7b9593fcaaaa205b" prot="public">
          <name>CY_SMARTIO_LUTTR_IO5</name>
          <initializer>= 13</initializer>
          <briefdescription>
<para>I/O signal 5 (for LUT 4,5,6,7) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413aed5c1793007b87abac8cbf1e24515698" prot="public">
          <name>CY_SMARTIO_LUTTR_IO2</name>
          <initializer>= 14</initializer>
          <briefdescription>
<para>I/O signal 2 (for LUT 0,1,2,3) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413abf0eab5741a7eaf5a4033272ea76e5b7" prot="public">
          <name>CY_SMARTIO_LUTTR_IO6</name>
          <initializer>= 14</initializer>
          <briefdescription>
<para>I/O signal 6 (for LUT 4,5,6,7) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413ab9ec5d0a02df6560fe3de151260561dd" prot="public">
          <name>CY_SMARTIO_LUTTR_IO3</name>
          <initializer>= 15</initializer>
          <briefdescription>
<para>I/O signal 3 (for LUT 0,1,2,3) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413afec03fcdf20932e1196f2e78fcb5fbc5" prot="public">
          <name>CY_SMARTIO_LUTTR_IO7</name>
          <initializer>= 15</initializer>
          <briefdescription>
<para>I/O signal 7 (for LUT 4,5,6,7) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413a0021827c9bc2aee059c2f7eb6637076e" prot="public">
          <name>CY_SMARTIO_LUTTR_INVALID</name>
          <initializer>= 255</initializer>
          <briefdescription>
<para>Invalid input trigger selection. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_smartio_luttr_t: </bold><linebreak />Smart I/O LUT input trigger source.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="387" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="360" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="360" />
      </memberdef>
      <memberdef id="group__group__smartio__enums_1ga572df357a226e52ebe5c79b4684662a7" kind="enum" prot="public" static="no">
        <name>cy_en_smartio_lutopc_t</name>
        <enumvalue id="group__group__smartio__enums_1gga572df357a226e52ebe5c79b4684662a7a79cb6f265fd4ce09180e9399394c02ee" prot="public">
          <name>CY_SMARTIO_LUTOPC_COMB</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Combinatorial output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga572df357a226e52ebe5c79b4684662a7ad9eb7d6bbaa0f3647382568ce5ce77fd" prot="public">
          <name>CY_SMARTIO_LUTOPC_GATED_TR2</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>TR2 gated, Combinatorial output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga572df357a226e52ebe5c79b4684662a7a4876b8a69eb2097cf07756c1fad5e4a4" prot="public">
          <name>CY_SMARTIO_LUTOPC_GATED_OUT</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>Sequential (gated) output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga572df357a226e52ebe5c79b4684662a7a6122170f60ef546a2eb10cf39f1444b7" prot="public">
          <name>CY_SMARTIO_LUTOPC_ASYNC_SR</name>
          <initializer>= 3</initializer>
          <briefdescription>
<para>Asynchronous Set/Reset mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_smartio_lutopc_t: </bold><linebreak />Smart I/O LUT opcode.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="397" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="392" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="392" />
      </memberdef>
      <memberdef id="group__group__smartio__enums_1ga8e445e3c1017ca42126054f92192574a" kind="enum" prot="public" static="no">
        <name>cy_en_smartio_dutr_t</name>
        <enumvalue id="group__group__smartio__enums_1gga8e445e3c1017ca42126054f92192574aac02ca280057ac7224821f01149f3a803" prot="public">
          <name>CY_SMARTIO_DUTR_ZERO</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Constant 0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga8e445e3c1017ca42126054f92192574aa0a2555c072fa0d17d201809a000865e8" prot="public">
          <name>CY_SMARTIO_DUTR_ONE</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Constant 1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga8e445e3c1017ca42126054f92192574aa2ca6e98e8e8421dd34752c22420ddf73" prot="public">
          <name>CY_SMARTIO_DUTR_DU_OUT</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>Data Unit output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga8e445e3c1017ca42126054f92192574aa5fbd0756597605d3bd5b02534a41315b" prot="public">
          <name>CY_SMARTIO_DUTR_LUT0_OUT</name>
          <initializer>= 3</initializer>
          <briefdescription>
<para>LUT0 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga8e445e3c1017ca42126054f92192574aae08a3e7ddf4c49d64ffaa70d4b537eba" prot="public">
          <name>CY_SMARTIO_DUTR_LUT1_OUT</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>LUT1 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga8e445e3c1017ca42126054f92192574aae22ff135d5e54df78ab07235628943c3" prot="public">
          <name>CY_SMARTIO_DUTR_LUT2_OUT</name>
          <initializer>= 5</initializer>
          <briefdescription>
<para>LUT2 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga8e445e3c1017ca42126054f92192574aabad15df974ddd75f29e39104e263102f" prot="public">
          <name>CY_SMARTIO_DUTR_LUT3_OUT</name>
          <initializer>= 6</initializer>
          <briefdescription>
<para>LUT3 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga8e445e3c1017ca42126054f92192574aad03753c2759a3675b39b344533e9772e" prot="public">
          <name>CY_SMARTIO_DUTR_LUT4_OUT</name>
          <initializer>= 7</initializer>
          <briefdescription>
<para>LUT4 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga8e445e3c1017ca42126054f92192574aa9e881d27dc3bcbcfb9d7c9f836f0f9a2" prot="public">
          <name>CY_SMARTIO_DUTR_LUT5_OUT</name>
          <initializer>= 8</initializer>
          <briefdescription>
<para>LUT5 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga8e445e3c1017ca42126054f92192574aa7354f4a791940bfbd452a63e82bb50a5" prot="public">
          <name>CY_SMARTIO_DUTR_LUT6_OUT</name>
          <initializer>= 9</initializer>
          <briefdescription>
<para>LUT6 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga8e445e3c1017ca42126054f92192574aad1b56de6201ad789a696a1ecde8ac498" prot="public">
          <name>CY_SMARTIO_DUTR_LUT7_OUT</name>
          <initializer>= 10</initializer>
          <briefdescription>
<para>LUT7 output. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga8e445e3c1017ca42126054f92192574aa4c3725615e3042ce8fd8e0541b095852" prot="public">
          <name>CY_SMARTIO_DUTR_INVALID</name>
          <initializer>= 255</initializer>
          <briefdescription>
<para>Invalid input trigger selected. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_smartio_dutr_t: </bold><linebreak />Smart I/O Data Unit input trigger source.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="415" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="402" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="402" />
      </memberdef>
      <memberdef id="group__group__smartio__enums_1gacfaf7f3f3da3ca7f410eaa10259e7906" kind="enum" prot="public" static="no">
        <name>cy_en_smartio_dudata_t</name>
        <enumvalue id="group__group__smartio__enums_1ggacfaf7f3f3da3ca7f410eaa10259e7906a4d3f5f066b17c116e7e43964767ecc84" prot="public">
          <name>CY_SMARTIO_DUDATA_ZERO</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>Constant 0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1ggacfaf7f3f3da3ca7f410eaa10259e7906af086a4f458b2545e6cc83bd57b31021f" prot="public">
          <name>CY_SMARTIO_DUDATA_CHIP</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Chip signal [7:0]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1ggacfaf7f3f3da3ca7f410eaa10259e7906addb060558e16bdca5ffd663e7da53fc3" prot="public">
          <name>CY_SMARTIO_DUDATA_IO</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>I/O signal [7:0]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1ggacfaf7f3f3da3ca7f410eaa10259e7906adcc6f0a2026577c1360e762a7807e522" prot="public">
          <name>CY_SMARTIO_DUDATA_DATAREG</name>
          <initializer>= 3</initializer>
          <briefdescription>
<para>SMARTIO.DATA register. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_smartio_dudata_t: </bold><linebreak />Smart I/O Data Unit input "DATA" source.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="425" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="420" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="420" />
      </memberdef>
      <memberdef id="group__group__smartio__enums_1ga4ea9cfed3efce3d97268d64dcda40e4e" kind="enum" prot="public" static="no">
        <name>cy_en_smartio_duopc_t</name>
        <enumvalue id="group__group__smartio__enums_1gga4ea9cfed3efce3d97268d64dcda40e4eabbac8e2a655d8a48c2a013061a38060b" prot="public">
          <name>CY_SMARTIO_DUOPC_INCR</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Increment (Count up) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga4ea9cfed3efce3d97268d64dcda40e4ea90246834f2a073b3dafe6356e6db87d7" prot="public">
          <name>CY_SMARTIO_DUOPC_DECR</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>Decrement (Count down) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga4ea9cfed3efce3d97268d64dcda40e4ea15a10e9a7d842f80aeae4fc66e99162a" prot="public">
          <name>CY_SMARTIO_DUOPC_INCR_WRAP</name>
          <initializer>= 3</initializer>
          <briefdescription>
<para>Increment and wrap-around (Count up and wrap) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga4ea9cfed3efce3d97268d64dcda40e4eab00f2572285308c6d3d63a182cdc07ce" prot="public">
          <name>CY_SMARTIO_DUOPC_DECR_WRAP</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>Decrement and wrap-around (Count down and wrap) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga4ea9cfed3efce3d97268d64dcda40e4ea0be7c9417691b54aa7a6335a7176e784" prot="public">
          <name>CY_SMARTIO_DUOPC_INCR_DECR</name>
          <initializer>= 5</initializer>
          <briefdescription>
<para>Increment or decrement (Count up/down) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga4ea9cfed3efce3d97268d64dcda40e4eaedcc4fcbf6881982ab1118a629136fe3" prot="public">
          <name>CY_SMARTIO_DUOPC_INCR_DECR_WRAP</name>
          <initializer>= 6</initializer>
          <briefdescription>
<para>Increment or decrement with wrap-around (Count up/down and wrap) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga4ea9cfed3efce3d97268d64dcda40e4eab44af4dc99124109f537435bd7950391" prot="public">
          <name>CY_SMARTIO_DUOPC_ROR</name>
          <initializer>= 7</initializer>
          <briefdescription>
<para>Rotate right (shift right and wrap) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga4ea9cfed3efce3d97268d64dcda40e4ea0ad21c3936a448458607f7514d498919" prot="public">
          <name>CY_SMARTIO_DUOPC_SHR</name>
          <initializer>= 8</initializer>
          <briefdescription>
<para>Shift right and shift data in through MSB. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga4ea9cfed3efce3d97268d64dcda40e4eaf199b268c8d190c7e9ba73ebea018bb0" prot="public">
          <name>CY_SMARTIO_DUOPC_AND_OR</name>
          <initializer>= 9</initializer>
          <briefdescription>
<para>out = ((DATA0 &amp; DATA1) == 0) ? 0 : 1 </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga4ea9cfed3efce3d97268d64dcda40e4eaed8c6084dc9153d9c290ec24a6ff8f6f" prot="public">
          <name>CY_SMARTIO_DUOPC_SHR_MAJ3</name>
          <initializer>= 10</initializer>
          <briefdescription>
<para>Majority 3 (Check if 2 out of 3 LSB bits are logic 1) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga4ea9cfed3efce3d97268d64dcda40e4ea2f95783652209130c5473fc420327284" prot="public">
          <name>CY_SMARTIO_DUOPC_SHR_EQL</name>
          <initializer>= 11</initializer>
          <briefdescription>
<para>Check for equality against DATA1. </para>          </briefdescription>
          <detaileddescription>
<para>Also perform Shift right </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_smartio_duopc_t: </bold><linebreak />Smart I/O Data Unit opcode.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="442" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="430" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="430" />
      </memberdef>
      <memberdef id="group__group__smartio__enums_1ga92590e8168bc8f4aa7855cafc4aeac81" kind="enum" prot="public" static="no">
        <name>cy_en_smartio_dusize_t</name>
        <enumvalue id="group__group__smartio__enums_1gga92590e8168bc8f4aa7855cafc4aeac81a5bdfbb2edaf5db5685cc2f9e5a84d0c8" prot="public">
          <name>CY_SMARTIO_DUSIZE_1</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>1-bit size/width operand </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga92590e8168bc8f4aa7855cafc4aeac81a4fc5655f75d2d74b604c2649e6b4a967" prot="public">
          <name>CY_SMARTIO_DUSIZE_2</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>2-bits size/width operand </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga92590e8168bc8f4aa7855cafc4aeac81ab37181306a8fce938fdacdbc88b95856" prot="public">
          <name>CY_SMARTIO_DUSIZE_3</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>3-bits size/width operand </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga92590e8168bc8f4aa7855cafc4aeac81a4d4a00a541fb94a6fedc00e2c36eb36a" prot="public">
          <name>CY_SMARTIO_DUSIZE_4</name>
          <initializer>= 3</initializer>
          <briefdescription>
<para>4-bits size/width operand </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga92590e8168bc8f4aa7855cafc4aeac81a357ee98ef1c66dec277fd45e284f8791" prot="public">
          <name>CY_SMARTIO_DUSIZE_5</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>5-bits size/width operand </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga92590e8168bc8f4aa7855cafc4aeac81a2f9a9c190b27d4107ea3621233d783ae" prot="public">
          <name>CY_SMARTIO_DUSIZE_6</name>
          <initializer>= 5</initializer>
          <briefdescription>
<para>6-bits size/width operand </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga92590e8168bc8f4aa7855cafc4aeac81a3eeb9f00ebb1d3d161580b8efe892101" prot="public">
          <name>CY_SMARTIO_DUSIZE_7</name>
          <initializer>= 6</initializer>
          <briefdescription>
<para>7-bits size/width operand </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__smartio__enums_1gga92590e8168bc8f4aa7855cafc4aeac81a11ef62c33a03b14cc15464482dda4e34" prot="public">
          <name>CY_SMARTIO_DUSIZE_8</name>
          <initializer>= 7</initializer>
          <briefdescription>
<para>8-bits size/width operand </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_smartio_dusize_t: </bold><linebreak />Smart I/O Data Unit operation bit size.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="456" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="447" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="447" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>